$(function () {

  	$('.button_delete_modal').on('click', function() {

  		var id = $(this).data("id");
  	
  		$('#delete_modal').modal({
  			closable: false,
		    onApprove : function() {
		    	sendDelete(id);
		    }
  		}).modal('show');  
  	});		  

  	function sendDelete(id) {

	    var data = {id_producto : id};

        $.requestApi('/producto/eliminar', data, 'POST', function (resolve) {
	        if (resolve) {
                if (resolve.message === "success") {
                    $('[data-table="'+id+'"]').remove();         
                }
	            $.showMessages(resolve);
	        }
	    }); 
        
        return false;
	};

    $('.button_info_modal').on('click', function() {

        var id = $(this).data("id");
        var data = {'id_producto'    : id};
        $.requestApi('/producto/getById', data, 'POST', function (resolve) {
            if (resolve) {

                $('#detalles_modal #_1').text(resolve.producto.codigo_barras); 
                $('#detalles_modal #_2').text(resolve.producto.nombre); 
                $('#detalles_modal #_3').text(resolve.producto.descripcion); 
                $('#detalles_modal #_4').text(resolve.producto.tipo_producto); 
                $('#detalles_modal #_5').text(resolve.producto.fecha_vencimiento); 
                $('#detalles_modal #_6').text(resolve.producto.tipo_presentacion.nombre); 
                $('#detalles_modal #_7').text(resolve.producto.unidad_medida.nombre +" ("+ resolve.producto.unidad_medida.abreviatura +")"); 
                $('#detalles_modal #_8').text(resolve.producto.situacion_impuesto); 
                $('#detalles_modal #_9').text(resolve.producto.tipo_impuesto); 
                $('#detalles_modal #_10').text(resolve.producto.valor_impuesto+' %'); 
                $('#detalles_modal #_11').text('S/ '+resolve.producto.precio); 
                $('#detalles_modal #_12').text(resolve.producto.precio_compra == null ? 'No especificado' : ('S/ '+resolve.producto.precio_compra)); 
                $('#detalles_modal #_13').text(resolve.producto.utilidad == null ? 'No especificado' : ('S/ '+resolve.producto.utilidad)); 
                $('#detalles_modal #_14').text(resolve.producto.lote); 

                $('#detalles_modal').modal('show'); 
            }
        });
    });  

    $('.btn_reporte').on('click', function() {
        window.open(APP_URL+'/../pdf/listaProductos.php', '_blank');
    });
 
});	